Subject: Moderate Site-Local Usage Draft

From: Bob Hinden <[email-masked]>
Date: Mon, 30 Dec 2002 10:35:43 -0800

I submitted a draft on the moderate use case for IPv6 site-local addresses.

Since the ID folks are on vacation until January 6, 2003, you can find a 
copy at:

   http://playground.sun.com/ipng/doc/draft-hinden-ipv6-sl-moderate-00.txt

Comments appreciated.

Thanks and Happy New Year!

Bob

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Hiroki Ishibashi <[email-masked]>
Date: Tue, 31 Dec 2002 19:17:45 +0900

Hi Bob,

>   http://playground.sun.com/ipng/doc/draft-hinden-ipv6-sl-moderate-00.txt

I have a question in the section 4.0.

> 4.0 Site-Local Moderate Use Scenario
>      .
>      .
>   The motivation for this use case is to restrict the use of site-local
>   addresses to communication inside of the site and insure that they
>   are less likely to be used for any site to site communication.  

I cannot understand what this sentence means.  I believe that any 
site-to-site communication is supposed to be done via global addresses.
Site local addresses MUST not be used for inter-site communication.
Or am I misunderstanding?

>   Using limited scope addresses for site to site communication, while
>   possible (i.e., via tunneling or VPN technologies), is problematic
>   and makes it hard to debug problems.  Overall it is simpler to use
>   global addresses.

Does it include configured IPv6-over-IPv4 tunnels? 
Many IPv6 networks are built using IPv6-over-IPv4 tunnels.

I am in favor of this document for site-local usages.
This document appropriately limits the use of site-local addresses,
and still leaves the room for future usage of them (which we don't know).

Personally, I would like to have Margaret's 
draft-wasserman-ipv6-sl-impact-00.txt as a document on the issues 
associated with site-local addressing (w/o recommendations section)
and Bob's draft-hinden-ipv6-sl-moderate-00.txt as a site-local usage
document.  I know that many people have different opinions. :-)

Thank you and A Happy New Year,

Hiroki Ishibashi
[email-masked]